#include <iostream> 
using namespace std;
#include <cstdio>
#include <string>
#include <vector>
#include <queue>
#include <algorithm>
int main()
{
	
	int k ,x;
	cin>>k>>x;
	vector<int>res;
	for(int i = x-k+1;i<=x+k-1;i++)
	{
		res.push_back(i);
	}
	
	bool tf = false;
	for(auto &x :res)
	{
		if(tf)
		cout<<" ";
		cout<<x;
		tf=true;
	}
	
	return 0;
}